Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.config
Class AopNamespaceUtils

    java.lang.Object
      org.springframework.aop.config.AopNamespaceUtils

    public abstract class AopNamespaceUtils

extends Object

Utility class for handling registration of auto-proxy creators used internally by the '`aop`' namespace tags.

Only a single auto-proxy creator can be registered and multiple tags may wish to register different concrete implementations. As such this class wraps a simple escalation protocol, allowing clases to request a particular auto-proxy creator and know that class, `or a subclass thereof`, will eventually be resident in the application context.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Field Summary
`static String` | `ASPECTJ_AUTO_PROXY_CREATOR_CLASS_NAME` The class name of the `AnnotationAwareAspectJAutoProxyCreator` class.
`static String` | `AUTO_PROXY_CREATOR_BEAN_NAME` The bean name of the internally managed auto-proxy creator.
`static String` | `PROXY_TARGET_CLASS_ATTRIBUTE` The `proxy-target-class` attribute as found on AOP-related XML tags.

Constructor Summary
`AopNamespaceUtils()`

Method Summary
`static void` | `forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)`
`static void` | `registerAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext, Object sourceElement)`
`static void` | `registerAtAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext, Object sourceElement)`
`static void` | `registerAutoProxyCreatorIfNecessary(ParserContext parserContext, Object sourceElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROXY_TARGET_CLASS_ATTRIBUTE

    public static final String PROXY_TARGET_CLASS_ATTRIBUTE

  The `proxy-target-class` attribute as found on AOP-related XML tags.

  See Also:
    Constant Field Values

### AUTO_PROXY_CREATOR_BEAN_NAME

    public static final String AUTO_PROXY_CREATOR_BEAN_NAME

  The bean name of the internally managed auto-proxy creator.

  See Also:
    Constant Field Values

### ASPECTJ_AUTO_PROXY_CREATOR_CLASS_NAME

    public static final String ASPECTJ_AUTO_PROXY_CREATOR_CLASS_NAME

  The class name of the `AnnotationAwareAspectJAutoProxyCreator` class. Only available with AspectJ and Java 5.

  See Also:
    Constant Field Values

Constructor Detail

### AopNamespaceUtils

    public AopNamespaceUtils()

Method Detail

### registerAutoProxyCreatorIfNecessary

    public static void registerAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                           Object sourceElement)

### registerAspectJAutoProxyCreatorIfNecessary

    public static void registerAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                                  Object sourceElement)

### registerAtAspectJAutoProxyCreatorIfNecessary

    public static void registerAtAspectJAutoProxyCreatorIfNecessary(ParserContext parserContext,
                                                                    Object sourceElement)

### forceAutoProxyCreatorToUseClassProxying

    public static void forceAutoProxyCreatorToUseClassProxying(BeanDefinitionRegistry registry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.